JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
AudioFormatWriter::ThreadedWriter::IncomingDataReceiver Member List

This is the complete list of members for AudioFormatWriter::ThreadedWriter::IncomingDataReceiver, including all inherited members.

addBlock(int64 sampleNumberInSource, const AudioBuffer< float > &newData, int startOffsetInBuffer, int numSamples)=0 | AudioFormatWriter::ThreadedWriter::IncomingDataReceiver | pure virtual
IncomingDataReceiver()=default | AudioFormatWriter::ThreadedWriter::IncomingDataReceiver |
reset(int numChannels, double sampleRate, int64 totalSamplesInSource)=0 | AudioFormatWriter::ThreadedWriter::IncomingDataReceiver | pure virtual
~IncomingDataReceiver()=default | AudioFormatWriter::ThreadedWriter::IncomingDataReceiver | virtual